> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-connect/connection/isconnected.md).

# isConnected

Checks whether the user is currently connected to a wallet. A user is considered connected if at least one STX or BTC address has been cached in local storage from a previous [`connect`](/reference/stacks.js/stacks-connect/connection/connect.md) or [`request`](/reference/stacks.js/stacks-connect/request/request.md) call.

***

### Usage

```ts
import { isConnected } from '@stacks/connect';

if (isConnected()) {
  console.log('Wallet is connected');
} else {
  console.log('No wallet connected');
}
```

#### Notes

* This function relies on local storage data. It will only return `true` if `enableLocalStorage` was `true` (the default) when the user connected.
* Calling [`disconnect`](/reference/stacks.js/stacks-connect/connection/disconnect.md) or [`clearLocalStorage`](/reference/stacks.js/stacks-connect/storage/clearlocalstorage.md) will cause this function to return `false`.

[**Reference Link**](https://github.com/stx-labs/connect/blob/main/packages/connect/src/storage.ts#L120)

***

### Signature

```ts
function isConnected(): boolean
```

***

### Returns

`boolean`

Returns `true` if at least one STX or BTC address exists in the local storage cache. Returns `false` otherwise.

***

### Parameters

This function takes no parameters.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-connect/connection/isconnected.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
